GNU bug report logs - #34499
Fwd: Guile-gnome package broken in Guix

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: swedebugia <swedebugia@HIDDEN>; dated Sat, 16 Feb 2019 11:03:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 34499 <at> debbugs.gnu.org:


Received: (at 34499) by debbugs.gnu.org; 22 Feb 2019 23:26:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 22 18:26:53 2019
Received: from localhost ([127.0.0.1]:48673 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gxKDV-0001tl-0K
	for submit <at> debbugs.gnu.org; Fri, 22 Feb 2019 18:26:53 -0500
Received: from mx1.riseup.net ([198.252.153.129]:52192)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gxKDS-0001td-Rl
 for 34499 <at> debbugs.gnu.org; Fri, 22 Feb 2019 18:26:51 -0500
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 036281A0D15
 for <34499 <at> debbugs.gnu.org>; Fri, 22 Feb 2019 15:26:49 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1550878010; bh=JyEUiiYeDEWq8/CwV1RnusHyqJ0JTHeEQD1nSUEsX1I=;
 h=Subject:References:To:From:Date:In-Reply-To:From;
 b=U6e85irP1h4Lqv0Db/Os/IbiSc9Pu43LOu18pcq77xF0FKwgCY+g3pQ95ZOQvb8cU
 sK9/LZSU/fn4fsGGSEAKqMcUQdG6ySfg6iNbd8zK+6UCVQuGO1ZyItjLpfLPi3dkUx
 clS335JgkUCvCGSWF6leAoFnTJOLo2vp6BDBmFio=
X-Riseup-User-ID: 56C3C98BF260D84951703DB82D9337E3793CEF5AE3C22342864E883831382A93
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id 5DB6A1201F2
 for <34499 <at> debbugs.gnu.org>; Fri, 22 Feb 2019 15:26:49 -0800 (PST)
Subject: Re: bug#34499: Fwd: Guile-gnome package broken in Guix
References: <59cf0841-bc58-a4a2-80b1-a7f5808dde6b@HIDDEN>
 <faf488e1-9f75-1ff3-0cc2-89cd6c54fbfb@HIDDEN>
 <62956f1e-5010-1d4d-cce4-9b072a9f0dec@HIDDEN>
To: 34499 <at> debbugs.gnu.org
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <65cae104-0c00-c9cc-7b79-44ff31d94b27@HIDDEN>
Date: Fri, 22 Feb 2019 19:09:26 +0100
MIME-Version: 1.0
In-Reply-To: <62956f1e-5010-1d4d-cce4-9b072a9f0dec@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="0krGeXeqR0Qf3dSMPjyxQKtM7XsWMfROZ"
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 34499
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--0krGeXeqR0Qf3dSMPjyxQKtM7XsWMfROZ
Content-Type: multipart/mixed; boundary="jlgSsG7fDYBF6NGa7UQtcJcCiQzYHOpVj";
 protected-headers="v1"
From: swedebugia <swedebugia@HIDDEN>
To: 34499 <at> debbugs.gnu.org
Message-ID: <65cae104-0c00-c9cc-7b79-44ff31d94b27@HIDDEN>
Subject: Re: bug#34499: Fwd: Guile-gnome package broken in Guix
References: <59cf0841-bc58-a4a2-80b1-a7f5808dde6b@HIDDEN>
 <faf488e1-9f75-1ff3-0cc2-89cd6c54fbfb@HIDDEN>
 <62956f1e-5010-1d4d-cce4-9b072a9f0dec@HIDDEN>
In-Reply-To: <62956f1e-5010-1d4d-cce4-9b072a9f0dec@HIDDEN>

--jlgSsG7fDYBF6NGa7UQtcJcCiQzYHOpVj
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable

On 2019-02-16 13:28, swedebugia wrote:
> On 2019-02-16 12:02, swedebugia wrote:
>> The files end up in profile/share/guile-gnome-2/... which is not in
>> guiles load path.
>>
>> The result of running the examples:
>> (first get it with guix build --source)
>>
>>
>> $ guile -s hello.scm
>> ...
>> ERROR: In procedure scm-error:
>> no code for module (gnome gobject)

I found the error!

Guile-gnome installs in such a way that it only works if you run it like
this: guile-gnome2 -s hello.scm

This seems undocumented and was unexpected. I expected "guile -s" to be
able to run also the modules installed by guile-gnome.

Should we add a note somewhere to avoid confusion and/or inform upstream
about this non-standard behavior?

--=20
Cheers Swedebugia


--jlgSsG7fDYBF6NGa7UQtcJcCiQzYHOpVj--

--0krGeXeqR0Qf3dSMPjyxQKtM7XsWMfROZ
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYIAB0WIQR6IWNlOiLn9hD6a1XPzUNbKAts0gUCXHA61gAKCRDPzUNbKAts
0rJ/AQDp4MkDLHNKtghNI79bw1ZPzyucfFV7xMJd4yyKjjrxQgEA9HKIsygs+hx0
7ELu/NOPwAzLWYPWTUlpCDcv++53NgM=
=wznB
-----END PGP SIGNATURE-----

--0krGeXeqR0Qf3dSMPjyxQKtM7XsWMfROZ--




Information forwarded to bug-guix@HIDDEN:
bug#34499; Package guix. Full text available.

Message received at 34499 <at> debbugs.gnu.org:


Received: (at 34499) by debbugs.gnu.org; 16 Feb 2019 12:28:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 16 07:28:01 2019
Received: from localhost ([127.0.0.1]:50055 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1guz4a-0003kH-TT
	for submit <at> debbugs.gnu.org; Sat, 16 Feb 2019 07:28:01 -0500
Received: from mx1.riseup.net ([198.252.153.129]:51536)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1guz4Z-0003k9-0Q
 for 34499 <at> debbugs.gnu.org; Sat, 16 Feb 2019 07:28:00 -0500
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id DCFA51A04F4
 for <34499 <at> debbugs.gnu.org>; Sat, 16 Feb 2019 04:27:57 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1550320078; bh=bpBSapT8aQ3ToHeLS32fh2geK+7MYthgnC0OsF9bIZU=;
 h=Subject:To:References:From:Date:In-Reply-To:From;
 b=R21OqgkZ1edwjzAgN0WCSAmnYAjTlIcwy3vf5geOzFdl9eUnxkHrPLVPGfVyfWoPs
 0lqW2iQJK5VfuL1JIPLUHrweSDlRbxN5XN0MQQxgg8WhdFWcN8a8e91NGF3P9mVZgC
 4m35G9l5LnbfGAaDSA/O2IGnAcMLNc2qw2Crg0ag=
X-Riseup-User-ID: C7EBF1A3434251D5170439E2EDEF490B58CAF9B6B6AE4AD3094EC438FF41BE8F
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id 5A4C8120AC9
 for <34499 <at> debbugs.gnu.org>; Sat, 16 Feb 2019 04:27:56 -0800 (PST)
Subject: Re: bug#34499: Fwd: Guile-gnome package broken in Guix
To: 34499 <at> debbugs.gnu.org
References: <59cf0841-bc58-a4a2-80b1-a7f5808dde6b@HIDDEN>
 <faf488e1-9f75-1ff3-0cc2-89cd6c54fbfb@HIDDEN>
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <62956f1e-5010-1d4d-cce4-9b072a9f0dec@HIDDEN>
Date: Sat, 16 Feb 2019 13:28:18 +0100
MIME-Version: 1.0
In-Reply-To: <faf488e1-9f75-1ff3-0cc2-89cd6c54fbfb@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34499
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2019-02-16 12:02, swedebugia wrote:
> The files end up in profile/share/guile-gnome-2/... which is not in 
> guiles load path.
> 
> The result of running the examples:
> (first get it with guix build --source)
> 
> 
> $ guile -s hello.scm
> ...
> ERROR: In procedure scm-error:
> no code for module (gnome gobject)
> 

Trying to set the right load path results in this error:

guile-gnome-platform-2.16.5/gtk/examples$ guile -L 
~/.guix-profile/share/guile-gnome-2/ -s hello.scm
guile: warning: failed to install locale
;;; note: auto-compilation is enabled, set GUILE_AUTO_COMPILE=0
;;;       or pass the --no-auto-compile argument to disable.
;;; compiling 
/home/sdb/src/guile-gnome-platform-2.16.5/gtk/examples/hello.scm
;;; compiling /home/sdb/.guix-profile/share/guile-gnome-2/gnome/gobject.scm
;;; compiling 
/home/sdb/.guix-profile/share/guile-gnome-2/gnome/gobject/gtype.scm
;;; compiling 
/home/sdb/.guix-profile/share/guile-gnome-2/gnome/gobject/utils.scm
;;; compiled 
/home/sdb/.cache/guile/ccache/2.2-LE-8-3.A/gnu/store/99nyg5hqmnk4l42xv018wmckby54yq2y-guile-gnome-2.16.5/share/guile-gnome-2/gnome/gobject/utils.scm.go
;;; compiling 
/home/sdb/.guix-profile/share/guile-gnome-2/gnome/gobject/config.scm
;;; compiled 
/home/sdb/.cache/guile/ccache/2.2-LE-8-3.A/gnu/store/99nyg5hqmnk4l42xv018wmckby54yq2y-guile-gnome-2.16.5/share/guile-gnome-2/gnome/gobject/config.scm.go
;;; compiled 
/home/sdb/.cache/guile/ccache/2.2-LE-8-3.A/gnu/store/99nyg5hqmnk4l42xv018wmckby54yq2y-guile-gnome-2.16.5/share/guile-gnome-2/gnome/gobject/gtype.scm.go
;;; compiling 
/home/sdb/.guix-profile/share/guile-gnome-2/gnome/gobject/gvalue.scm
;;; compiled 
/home/sdb/.cache/guile/ccache/2.2-LE-8-3.A/gnu/store/99nyg5hqmnk4l42xv018wmckby54yq2y-guile-gnome-2.16.5/share/guile-gnome-2/gnome/gobject/gvalue.scm.go
;;; compiling 
/home/sdb/.guix-profile/share/guile-gnome-2/gnome/gobject/gclosure.scm
;;; compiled 
/home/sdb/.cache/guile/ccache/2.2-LE-8-3.A/gnu/store/99nyg5hqmnk4l42xv018wmckby54yq2y-guile-gnome-2.16.5/share/guile-gnome-2/gnome/gobject/gclosure.scm.go
;;; compiling 
/home/sdb/.guix-profile/share/guile-gnome-2/gnome/gobject/gsignal.scm
;;; compiled 
/home/sdb/.cache/guile/ccache/2.2-LE-8-3.A/gnu/store/99nyg5hqmnk4l42xv018wmckby54yq2y-guile-gnome-2.16.5/share/guile-gnome-2/gnome/gobject/gsignal.scm.go
;;; compiling 
/home/sdb/.guix-profile/share/guile-gnome-2/gnome/gobject/gparameter.scm
;;; compiled 
/home/sdb/.cache/guile/ccache/2.2-LE-8-3.A/gnu/store/99nyg5hqmnk4l42xv018wmckby54yq2y-guile-gnome-2.16.5/share/guile-gnome-2/gnome/gobject/gparameter.scm.go
;;; compiling 
/home/sdb/.guix-profile/share/guile-gnome-2/gnome/gobject/gobject.scm
;;; compiled 
/home/sdb/.cache/guile/ccache/2.2-LE-8-3.A/gnu/store/99nyg5hqmnk4l42xv018wmckby54yq2y-guile-gnome-2.16.5/share/guile-gnome-2/gnome/gobject/gobject.scm.go
;;; compiling 
/home/sdb/.guix-profile/share/guile-gnome-2/gnome/gw/support/modules.scm
;;; compiled 
/home/sdb/.cache/guile/ccache/2.2-LE-8-3.A/gnu/store/99nyg5hqmnk4l42xv018wmckby54yq2y-guile-gnome-2.16.5/share/guile-gnome-2/gnome/gw/support/modules.scm.go
;;; compiled 
/home/sdb/.cache/guile/ccache/2.2-LE-8-3.A/gnu/store/99nyg5hqmnk4l42xv018wmckby54yq2y-guile-gnome-2.16.5/share/guile-gnome-2/gnome/gobject.scm.go
;;; compiling /home/sdb/.guix-profile/share/guile-gnome-2/gnome/gtk.scm
;;; compiling 
/home/sdb/.guix-profile/share/guile-gnome-2/gnome/gobject/generics.scm
;;; compiled 
/home/sdb/.cache/guile/ccache/2.2-LE-8-3.A/gnu/store/99nyg5hqmnk4l42xv018wmckby54yq2y-guile-gnome-2.16.5/share/guile-gnome-2/gnome/gobject/generics.scm.go
;;; compiling /home/sdb/.guix-profile/share/guile-gnome-2/gnome/gw/gdk.scm
;;; compiling 
/home/sdb/.guix-profile/share/guile/site/2.2/g-wrap/gw/standard.scm
;;; compiling /home/sdb/.guix-profile/share/guile/site/2.2/g-wrap/config.scm
;;; compiled 
/home/sdb/.cache/guile/ccache/2.2-LE-8-3.A/gnu/store/lhyaqrqlyvahxbw6vk4v13qryv4pmd19-g-wrap-1.9.15/share/guile/site/2.2/g-wrap/config.scm.go
;;; compiled 
/home/sdb/.cache/guile/ccache/2.2-LE-8-3.A/gnu/store/lhyaqrqlyvahxbw6vk4v13qryv4pmd19-g-wrap-1.9.15/share/guile/site/2.2/g-wrap/gw/standard.scm.go
;;; compiling /home/sdb/.guix-profile/share/guile-gnome-2/gnome/gw/glib.scm
;;; WARNING: compilation of 
/home/sdb/.guix-profile/share/guile-gnome-2/gnome/gw/glib.scm failed:
;;; In procedure dynamic-link: file: "libgw-guile-gnome-glib", message: 
"file not found"
;;; WARNING: compilation of 
/home/sdb/.guix-profile/share/guile-gnome-2/gnome/gw/gdk.scm failed:
;;; In procedure dynamic-link: file: "libgw-guile-gnome-glib", message: 
"file not found"
;;; compiling 
/home/sdb/.guix-profile/share/guile-gnome-2/gnome/gw/gobject.scm
;;; WARNING: compilation of 
/home/sdb/.guix-profile/share/guile-gnome-2/gnome/gw/gobject.scm failed:
;;; In procedure dynamic-link: file: "libgw-guile-gnome-gobject", 
message: "file not found"
;;; WARNING: compilation of 
/home/sdb/.guix-profile/share/guile-gnome-2/gnome/gtk.scm failed:
;;; In procedure dynamic-link: file: "libgw-guile-gnome-gobject", 
message: "file not found"
;;; compiling /home/sdb/.guix-profile/share/guile-gnome-2/gnome/gw/gtk.scm
;;; compiling /home/sdb/.guix-profile/share/guile-gnome-2/gnome/gw/atk.scm
;;; WARNING: compilation of 
/home/sdb/.guix-profile/share/guile-gnome-2/gnome/gw/atk.scm failed:
;;; In procedure dynamic-link: file: "libgw-guile-gnome-atk", message: 
"file not found"
;;; WARNING: compilation of 
/home/sdb/.guix-profile/share/guile-gnome-2/gnome/gw/gtk.scm failed:
;;; In procedure dynamic-link: file: "libgw-guile-gnome-atk", message: 
"file not found"
;;; compiling /home/sdb/.guix-profile/share/guile-gnome-2/gnome/gw/cairo.scm
;;; WARNING: compilation of 
/home/sdb/.guix-profile/share/guile-gnome-2/gnome/gw/cairo.scm failed:
;;; In procedure dynamic-link: file: "libgw-guile-gnome-cairo", message: 
"file not found"
;;; WARNING: compilation of 
/home/sdb/src/guile-gnome-platform-2.16.5/gtk/examples/hello.scm failed:
;;; In procedure dynamic-link: file: "libgw-guile-gnome-cairo", message: 
"file not found"
Backtrace:
            4 (primitive-load "/home/sdb/src/guile-gnome-platform-2.?")
In ice-9/eval.scm:
    293:34  3 (_ #(#(#<directory (guile-user) 1c1f140>)))
     163:9  2 (_ #(#(#<directory (guile-user) 1c1f140>)))
    223:20  1 (proc #(#(#<directory (guile-user) 1c1f140>)))
In unknown file:
            0 (%resolve-variable (7 . <gtk-window>) #<directory (guil?>)

ERROR: In procedure %resolve-variable:
Unbound variable: <gtk-window>

-- 
Cheers Swedebugia




Information forwarded to bug-guix@HIDDEN:
bug#34499; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Feb 2019 11:02:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 16 06:02:08 2019
Received: from localhost ([127.0.0.1]:50017 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1guxjT-00085N-Nu
	for submit <at> debbugs.gnu.org; Sat, 16 Feb 2019 06:02:08 -0500
Received: from eggs.gnu.org ([209.51.188.92]:32836)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1guxjS-00084t-8G
 for submit <at> debbugs.gnu.org; Sat, 16 Feb 2019 06:02:06 -0500
Received: from lists.gnu.org ([209.51.188.17]:48174)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1guxjM-0000Aq-1f
 for submit <at> debbugs.gnu.org; Sat, 16 Feb 2019 06:02:01 -0500
Received: from eggs.gnu.org ([209.51.188.92]:47206)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1guxjL-0005ZH-23
 for bug-guix@HIDDEN; Sat, 16 Feb 2019 06:01:59 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1guxjJ-00009z-1g
 for bug-guix@HIDDEN; Sat, 16 Feb 2019 06:01:58 -0500
Received: from mx1.riseup.net ([198.252.153.129]:51864)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1guxjI-0008Vt-H6
 for bug-guix@HIDDEN; Sat, 16 Feb 2019 06:01:56 -0500
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 501E01A0CA4
 for <bug-guix@HIDDEN>; Sat, 16 Feb 2019 03:01:49 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1550314909; bh=HAxqKxMPkFaKL0WCSm1Agq6olCEOoL7V8XkY4vxAWiE=;
 h=Subject:References:To:From:Date:In-Reply-To:From;
 b=LkuvD1L7mrB/szJsxtAj1IFZt9iLMjvxrbDv9EEzt7mBQWBGQSGc9lmub02gLj0o9
 jUvvGG/PfcmlOfeC349XAYZMrpZvsOku0Qcavf1rQNMy/7oigZrsDVZk/aUCIQN2Sk
 hGhpzgSdl+on+VmRl7jFFOpbhh0SaWFF3AvavqcA=
X-Riseup-User-ID: 48577B881389213857EB6F086CFA7768CD5912AC6B9DC658C89E3BA2D4780BAA
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id A6B1B1204DD
 for <bug-guix@HIDDEN>; Sat, 16 Feb 2019 03:01:48 -0800 (PST)
Subject: Fwd: Guile-gnome package broken in Guix
References: <59cf0841-bc58-a4a2-80b1-a7f5808dde6b@HIDDEN>
To: Report new Guix bug <bug-guix@HIDDEN>
From: swedebugia <swedebugia@HIDDEN>
X-Forwarded-Message-Id: <59cf0841-bc58-a4a2-80b1-a7f5808dde6b@HIDDEN>
Message-ID: <faf488e1-9f75-1ff3-0cc2-89cd6c54fbfb@HIDDEN>
Date: Sat, 16 Feb 2019 12:02:10 +0100
MIME-Version: 1.0
In-Reply-To: <59cf0841-bc58-a4a2-80b1-a7f5808dde6b@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 198.252.153.129
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

The files end up in profile/share/guile-gnome-2/... which is not in 
guiles load path.

The result of running the examples:
(first get it with guix build --source)


$ guile -s hello.scm
...
ERROR: In procedure scm-error:
no code for module (gnome gobject)



-------- Forwarded Message --------
Subject: Guile-gnome package broken in Guix
Date: Sat, 16 Feb 2019 11:47:13 +0100
From: swedebugia <swedebugia@HIDDEN>
To: guile-gtk-general@HIDDEN

Hi

I would really like to start creating my first gtk program with guile.

The package guile-gnome in guix is unfortunately broken and the docs and 
examples are missing.

I tried fixing the package but it seems I do not understand gtk nor 
autotools well enough to succeed.

I got these questions:

* why are there no TARGET_DIR in the makefiles?
* what is the purpose of the "guilesite" variable?
* what is the purpose of the files in /defs/gnome/defs ? The makefile 
there seems to try to check for stuff in DEFS_HEADER_DIR = /usr/include

Thanks in advance.

-- 
Cheers Swedebugia




Acknowledgement sent to swedebugia <swedebugia@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#34499; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 22 Feb 2019 23:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.